﻿using Infragistics.Documents.Excel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace KB7877_WpfApp1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Workbook workbook = new Workbook(WorkbookFormat.Excel2007);
            Worksheet worksheet = workbook.Worksheets.Add("Sheet1");

            WorksheetCell cell;

            cell = worksheet.GetCell("A1");
            cell.Value = 1000;
            cell.CellFormat.FormatString = "#,##0;[Red]▲#,##0";

            cell = worksheet.GetCell("A2");
            cell.Value = -1000;
            cell.CellFormat.FormatString = "#,##0;[Red]▲#,##0";

            workbook.Save("Sample.xlsx");
        }
    }
}
